<app-pickup-view-layout class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <template #headerTop>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Top_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>    
    <template #contentTop>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Body_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>
    <template>   
        <#if view.hasPSControl('pickupviewpanel')>
            <@ibizindent blank=12>
                ${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}<#t>
            </@ibizindent>
        </#if>
    </template>
    <template #contentBottom>
        <@ibizindent blank=8>
        <#ibizinclude>
        ../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
        </#ibizinclude>
        </@ibizindent>
    </template>
    <template #footer v-if="isShowButton" >
        <row :style="{ textAlign: 'right' }" class="footer">
            <i-button type="primary" :disabled="viewSelections.length > 0 ? false : true" @click="onClickOk">{{containerModel.view_okbtn.text}}</i-button>
            <i-button @click="onClickCancel">{{containerModel.view_cancelbtn.text}}</i-button>
        </row>
    </template>
</app-pickup-view-layout>